package de.intevation.gnv.artifactdatabase.objects;

import java.io.Serializable;

/**
 * An <code>OutputParameter</code> describes the input for an export mode and
 * stores the value inserted by the user.
 *
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 */
public interface OutputParameter extends Serializable{

    /**
     * Retrieves the name of the parameter.
     *
     * @return the name.
     */
    String getName();

    /**
     * Retrieves the value of this parameters.
     *
     * @return the value.
     */
    String getValue();

    /**
     * Retrieves the description of this parameter.
     *
     * @return the description.
     */
    String getDescription();

    /**
     * Retrieves the type of this parameter (e.g. String, Integer, Double, Date).
     *
     * @return the type.
     */
    String getType();
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
